CVE-2017-12670

Published: 07 August 2017

In ImageMagick 7.0.6-3, missing validation was found in coders/mat.c, leading to an assertion failure in the function DestroyImage in MagickCore/image.c, which allows attackers to cause a denial of service.

Priority

Low

CVSS 3 base score: 6.5

Status

Package Release Status
imagemagick
Launchpad, Ubuntu, Debian
Upstream
Released (8:6.9.7.4+dfsg-16)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(8:6.9.7.4+dfsg-16ubuntu2)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (8:6.8.9.9-7ubuntu5.11)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was released [8:6.7.7.10-6ubuntu3.11])
Patches:
Upstream: https://github.com/ImageMagick/ImageMagick/commit/ab440f9ea11e0dbefb7a808cbb9441198758b0cb
Upstream: https://github.com/ImageMagick/ImageMagick/commit/75db34b6a4d642cb6f88c792942de27490c900e0

Notes

AuthorNote
mdeslaur
0108-assertion-failed-in-DestroyImage-due-to-mat-coder.patch in unstable
0284-CVE-2017-12670-Fix-missing-validation-in-ReadMATImage-1-2.patch and
0285-CVE-2017-12670-Fix-missing-validation-in-ReadMATImage-2-2.patch in wheezy

References

Bugs